YachtLuma
開発者向け

APIドキュメント

RESTまたはMCPで公開済みの艇種、造船所、場所、市場情報を検索。連携前に選択した言語の応答を確認できます。

リソース

ヨットモデル
GET /api/v1/models
マーケット
GET /api/v1/listings
チャーター出航便
GET /api/v1/departures
サービス事業者
GET /api/v1/providers
利用許諾済みメディア
GET /api/v1/media
curl -sS 'https://yachtluma.ai/api/v1/models/lagoon-42?locale=ja'
curl -sS 'https://yachtluma.ai/api/v1/compare?models=lagoon-42,lagoon-46&locale=ja'

ページ分割と絞り込み

一覧はlimitが1〜100、offsetは0からです。nextOffsetがnullになるまで次のoffsetに指定します。モデルはbuilder・type、掲載はcategoryで絞れます。

curl -sS 'https://yachtluma.ai/api/v1/models?q=Lagoon&locale=ja&limit=2&offset=0'
curl -sS 'https://yachtluma.ai/api/v1/listings?category=charter&locale=ja&limit=5'
curl -sS 'https://yachtluma.ai/api/v1/departures?mode=seat&guests=2&location=Palma&limit=5'
curl -sS 'https://yachtluma.ai/api/v1/providers?service=maintenance&limit=5'
curl -sS 'https://yachtluma.ai/api/v1/media?entityType=model&entityId=lagoon-46&locale=ja'

項目の利用範囲

各仕様の出典によりウェブ、API、AI配信の許可が分かれます。仕様配列が空のモデルもあります。値には状態・単位・日付・仕様条件を添えてください。

specifications_status · available / not_available_for_this_channel

アプリと利用枠

匿名利用の共通枠はUTC日ごとに10,000件です。承認済みアプリには個別の上限と許可されたチャネル・リソースがあります。キーはAuthorizationヘッダーで送信します。

Authorization: Bearer <APPLICATION_KEY>
マイアプリ

MCP

MCPクライアントをStreamable HTTPで接続。initializeの後、tools/listで現在のツール定義を取得します。公開済みレコードを読み取ります。

POST https://yachtluma.ai/mcp

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "search_models",
    "arguments": {
      "q": "Lagoon",
      "locale": "ja",
      "limit": 3
    }
  }
}
  • search_models
  • search_builders
  • search_listings
  • find_marinas
  • search_equipment
  • search_knowledge
  • get_model
  • get_listing
  • get_equipment
  • get_care_guide
  • compare_models
  • search_yacht_pages
  • get_market_counts
  • search_departures
  • get_departure
  • search_providers
  • get_provider
  • search_media
  • get_media
  • estimate_charter_budget